Passa al contenuto principale

ObjectStorageS3KeyResponse

Successful response with one ObjectStorageS3Key

errorintegerrequired

Always 0 in a successful response

Constant value: 0
messagestring | nullnullablerequired

Always null in a successful response

data objectrequired

Resource returned by the operation

object_storage_idintegerrequired

Id of the object storage (GET /api/v3/object-storages/{object_storage_id})

sub_account_idintegerrequired

Id of the sub-account of the object storage, the account at the storage that holds its buckets and IAM users (not the account id of the storage)

usernamestring | nullnullablerequired

Name of the sub-account at the storage

user_idstring | nullnullablerequired

Id of the root user of the sub-account in the IAM service of the storage

arnstring | nullnullablerequired

ARN (Amazon Resource Name) of the root user of the sub-account, used in the policies (arn:aws:iam::<account>:root)

access_keystring | nullnullablerequired

Access key ID, to use with secret_key in the S3 clients; null if the sub-account has no key saved

secret_keystring | nullnullablerequired

Secret of the key; null if the sub-account has no key saved

metarequired

Always null: only the paginated lists have a meta

Constant value: null
ObjectStorageS3KeyResponse
{
"error": 0,
"message": "string",
"data": {
"object_storage_id": 0,
"sub_account_id": 0,
"username": "string",
"user_id": "string",
"arn": "string",
"access_key": "string",
"secret_key": "string"
}
}